## octave-bim 0.1.0

=== DESCRIPTION ===
Name: BIM
Version: 0.1.0
Date: 2009-02-25
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equaltions based on the Finite Volume Scharfetter-Gummel (FVSG) method a.k.a Box Integration Method (BIM)
Depends: octave (>= 3.0.0), fpl, msh 
Autoload: no
License: GPL version 2 or later

## octave-bim 0.1.1

=== DESCRIPTION ===
Name: BIM
Version: 0.1.1
Date: 2009-02-25
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: Diffusion Advection Reaction PDE Solver
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equaltions based on the Finite Volume Scharfetter-Gummel (FVSG) method a.k.a Box Integration Method (BIM)
Depends: octave (>= 3.0.0), fpl, msh 
Autoload: no
License: GPL version 2 or later

## octave-bim 1.0.0

=== DESCRIPTION ===
Name: bim
Version: 1.0.0
Date: 2010-02-09
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations based on the Finite Volume Scharfetter-Gummel (FVSG) method a.k.a Box Integration Method (BIM)
Depends: octave (>= 3.0.0), fpl, msh 
Autoload: no
License: GPL version 2 or later
SVNRelease: 6866

=== debian/changelog ===
octave-bim (1.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (closes: #571836)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump Standards-Version to 3.8.4, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Fri, 14 May 2010 21:56:23 +0200

octave-bim (0.1.1-2) unstable; urgency=low

  * Upload to unstable. 
  * Bump minimal dependencies on octave-fpl and octave-msh to 0.1.6-2 and
    0.1.1-2, respectively, to get the version for Octave 3.2.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 11 Nov 2009 22:38:37 +0100

octave-bim (0.1.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control:
    + Build-depend on octave-pkg-dev >= 0.7.0, such that the package is
      built against octave3.2
    + Reword the first sentence of the Description, such that it reads
      like a sentence (closes: #532862)

  [ Thomas Weber ]
  * New upstream version
  * Bump Standards-Version to 3.8.2, no changes needed
  * Use octave-bim.docs for documentation installation and bump
    build-dependency on octave-pkg-dev >= 0.7.1 for that

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 23 Jul 2009 00:39:40 +0200

octave-bim (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #468534)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 10:51:31 +0200

=== debian/control ===
Source: octave-bim
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
Build-Depends-Indep: octave-msh (>=0.1.1-2)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/bim
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-bim.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-bim.git

Package: octave-bim
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Recommends: octave-fpl (>=0.1.6-2), octave-msh (>=0.1.1-2)
Description: PDE solver using a finite element/volume approach in Octave
 This package contains scripts for solving Diffusion Advection
 Reaction (DAR) Partial Differential Equations based on the Finite
 Volume Scharfetter-Gummel (FVSG) method a.k.a Box Integration Method
 (BIM) in Octave, a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/bim-([\d.]+)\.tar\.gz\?download

## octave-bim 1.0.1

=== DESCRIPTION ===
Name: bim
Version: 1.0.1
Date: 2011-03-07
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations based on the Finite Volume Scharfetter-Gummel (FVSG) method a.k.a Box Integration Method (BIM)
Depends: octave (>= 3.2.0), fpl, msh 
Autoload: no
License: GPL version 2 or later
SVNRelease: 8163

=== debian/changelog ===
octave-bim (1.0.1-1ubuntu1) oneiric; urgency=low

  * Add explicit build-dependency on libhdf5-openmpi-dev to work around apt
    confusion when resolving dependencies of gmsh and octave3.2-headers
    (closes: #639186, LP: #831386).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2011 11:51:54 +0100

octave-bim (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Thu, 14 Apr 2011 22:09:19 +0200

octave-bim (1.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1, no changes needed
  * Drop lintian overrides for 'build-depends-without-arch-dep'

 -- Thomas Weber <tweber@debian.org>  Mon, 14 Feb 2011 23:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: octave-bim
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
+Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1), libhdf5-openmpi-dev
 Build-Depends-Indep: octave-msh (>=0.1.1-2)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/bim
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-bim.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-bim.git

## octave-bim 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: bim
-Version: 1.0.1
-Date: 2011-03-07
+Version: 1.0.2
+Date: 2011-09-09
 Author: Carlo de Falco, Culpo Massimiliano
 Maintainer: Culpo Massimiliano
 Title: PDE Solver using a Finite Element/Finite Volume approach
@@ -8,4 +8,4 @@
 Depends: octave (>= 3.2.0), fpl, msh 
 Autoload: no
 License: GPL version 2 or later
-SVNRelease: 8163
+SVNRelease: 8521

=== debian/changelog ===
octave-bim (1.0.2-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * Bump Standards-Version to 3.9.2, no changes needed
  * debian/copyright: upgrade to latest draft of DEP5
  * debian/control: add myself to Uploaders
  * debian/patches/autoload-yes.diff: refresh patch
  
  [ Colin Watson]
  * Add explicit build-dependency on libhdf5-openmpi-dev to work around apt
    confusion when resolving dependencies of gmsh and octave3.2-headers
    (closes: #639186, LP: #831386).

 -- Thomas Weber <tweber@debian.org>  Fri, 16 Sep 2011 11:30:44 +0200

octave-bim (1.0.1-2) unstable; urgency=low

  [ Colin Watson ]
  * Add explicit build-dependency on libhdf5-openmpi-dev to work around apt
    confusion when resolving dependencies of gmsh and octave3.2-headers
    (closes: #639186, LP: #831386).

 -- Thomas Weber <tweber@debian.org>  Wed, 14 Sep 2011 18:30:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: octave-bim
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1), libhdf5-openmpi-dev
+Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1),
+ libhdf5-openmpi-dev
 Build-Depends-Indep: octave-msh (>=0.1.1-2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://octave.sourceforge.net/bim
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-bim.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-bim.git

## octave-bim 1.1.1

=== DESCRIPTION ===
Name: bim
Version: 1.1.1
Date: 2012-10-26
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Carlo de Falco
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations 
Depends: octave (>= 3.6.0), fpl, msh 
Autoload: no
License: GPLv2+

=== debian/changelog ===
octave-bim (1.1.1-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.1
  * debian/copyright: Adapt to new upstream version
  * debian/patches/autoload-yes.diff: Refresh for new upstream version
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

  [ Sébastien Villemot ]
  * Drop octave-{fpl,msh} from Recommends; they are already in Depends

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 29 Oct 2012 19:59:31 +0100

octave-bim (1.0.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Bump to Standards-Version 3.9.3, no changes needed
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.2, to build against Octave 3.6
  * debian/copyright:
    - Use DEP5 URL in Format specification
    - Update upstream contact
    - Update text for the GPL-2+
    - Update copyright notices for the files in debian/
  * debian/patches/data-file-link-in-tutorial.diff: New patch
  * Register HTML tutorial through doc-base
  * Tighten the relationships with octave-msh to >= 1.0.2-4

 -- Thomas Weber <tweber@debian.org>  Sun, 26 Aug 2012 21:56:54 +0200

=== debian/control ===
Source: octave-bim
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.2),
 libhdf5-openmpi-dev, octave-msh (>= 1.0.2-4)
Standards-Version: 3.9.4
Homepage: http://octave.sourceforge.net/bim
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-bim.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-bim.git

Package: octave-bim
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: PDE solver using a finite element/volume approach in Octave
 This package contains scripts for solving Diffusion Advection
 Reaction (DAR) Partial Differential Equations based on the Finite
 Volume Scharfetter-Gummel (FVSG) method a.k.a Box Integration Method
 (BIM) in Octave, a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-bim 1.1.2

=== debian/changelog ===
octave-bim (1.1.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.2
  * debian/copyright:
    + Reflect upstream changes
    + Use octave-maintainers mailing list as upstream contact

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 04 Aug 2013 13:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  libhdf5-openmpi-dev, octave-msh (>= 1.0.2-4)
 Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/bim
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-bim.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-bim.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-bim.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-bim.git
 
 Package: octave-bim
 Architecture: all

## octave-bim 1.1.3

=== DESCRIPTION ===
Name: bim
Version: 1.1.3
Date: 2013-11-15
Author: Carlo de Falco, Culpo Massimiliano, Matteo Porro
Maintainer: Carlo de Falco
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations 
Depends: octave (>= 3.6.0), fpl, msh 
Autoload: no
License: GPLv2+

=== debian/changelog ===
octave-bim (1.1.3-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.3
  * debian/copyright: reflect upstream changes.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 16:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.2),
  libhdf5-openmpi-dev, octave-msh (>= 1.0.2-4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/bim
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-bim.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-bim.git

=== debian/watch ===
version=3
http://sf.net/octave/bim-(.+)\.tar\.gz

## octave-bim 1.1.4

=== DESCRIPTION ===
Name: bim
Version: 1.1.4
Date: 2014-03-30
Author: Carlo de Falco, Culpo Massimiliano, Matteo Porro, Emanuela Abbate
Maintainer: Carlo de Falco
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations 
Depends: octave (>= 3.6.0), fpl, msh 
Autoload: no
License: GPLv2+

=== debian/changelog ===
octave-bim (1.1.4-1) unstable; urgency=medium

  * Imported Upstream version 1.1.4
  * debian/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Jun 2014 20:33:12 +0200

## octave-bim 1.1.5

=== DESCRIPTION ===
Name: bim
Version: 1.1.5
Date: 2014-10-17
Author: Carlo de Falco, Culpo Massimiliano, Matteo Porro, Emanuela Abbate
Maintainer: Carlo de Falco
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations 
Depends: octave (>= 3.8.0), fpl, msh 
Autoload: no
License: GPLv2+

=== debian/changelog ===
octave-bim (1.1.5-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:27:00 -0200

octave-bim (1.1.5-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/p/add-lacking-semicolon.patch: New patch
  * d/control:
    + Add Testsuite field
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:10 -0200

octave-bim (1.1.5-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jul 2015 11:46:03 +0200

octave-bim (1.1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.1.5
  * Add Rafael Laboissiere and Mike Miller to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Oct 2014 19:54:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: octave-bim
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.2),
+           Rafael Laboissiere <rafael@debian.org>,
+           Sébastien Villemot <sebastien@debian.org>,
+           Mike Miller <mtmiller@debian.org>
+Build-Depends: debhelper (>= 11), dh-octave,
  libhdf5-openmpi-dev, octave-msh (>= 1.0.2-4)
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
 Homepage: http://octave.sourceforge.net/bim
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-bim.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-bim.git
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-bim.git
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-bim
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-bim
 Architecture: all

=== debian/watch ===
version=4
http://sf.net/octave/bim-(.+)\.tar\.gz

## octave-bim 1.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: bim
-Version: 1.1.5
-Date: 2014-10-17
+Version: 1.1.6
+Date: 2022-07-22
 Author: Carlo de Falco, Culpo Massimiliano, Matteo Porro, Emanuela Abbate
 Maintainer: Carlo de Falco
 Title: PDE Solver using a Finite Element/Finite Volume approach

=== debian/changelog ===
octave-bim (1.1.6-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.1.6
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/s/local-options: Drop useless file

  [ Jenkins ]
  * Remove constraints unnecessary since stretch.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 16 Nov 2022 13:14:32 -0300

octave-bim (1.1.5-7) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Jul 2020 12:52:51 -0300

octave-bim (1.1.5-6) unstable; urgency=medium

  * d/p/xtest-in-bim1c_norm.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jan 2019 20:35:56 -0200

octave-bim (1.1.5-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:53:41 -0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
- libhdf5-openmpi-dev, octave-msh (>= 1.0.2-4)
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/bim
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave,
+               libhdf5-openmpi-dev,
+               octave-msh
+Standards-Version: 4.6.1
+Homepage: https://octave.sourceforge.io/bim/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-bim.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-bim
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-bim
 Architecture: all

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/bim/ \
  https://github.com/carlodefalco/bim/archive/refs/tags/v(.+).tar.gz

## octave-bim 1.1.8

=== DESCRIPTION ===
Name: bim
Version: 1.1.8
Date: 2025-06-28
Author: Carlo de Falco, and others
Maintainer: Carlo de Falco
Title: PDE Solver using a Finite Element/Finite Volume approach
Description: Package for solving Diffusion Advection Reaction (DAR) Partial Differential Equations 
Depends: octave (>= 3.8.0), fpl, msh
Url: https://github.com/carlodefalco/bim
Autoload: no
License: GPLv2+
Tracker: https://github.com/carlodefalco/bim/issues

=== debian/changelog ===
octave-bim (1.1.8-3) unstable; urgency=medium

  * d/rules: Drop target execute_after_dh_installdeb.
    This avoids the FTBFS due to a recent change in dh-octave version
    1.11.0 (removal of the doc/ directory). (Closes: #1115131)
  * d/watch: Convert to version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 08:43:00 -0300

octave-bim (1.1.8-2) unstable; urgency=medium

  * Upload to unstable
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Aug 2025 16:22:29 +0200

octave-bim (1.1.8-1) experimental; urgency=medium

  * New upstream version 1.1.8

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Jul 2025 12:51:34 -0300

octave-bim (1.1.7-1) experimental; urgency=medium

  * New upstream version 1.1.7
  * d/p/add-lacking-semicolon.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Update upstream repository URLs
    + Update Bug-Database and Bug-Submit URLs
  * d/p/add-lacking-semicolon.patch: Mark as applied upstream
  * d/s/lintian-overrides: Drop unused override
  * d/rules: Drop empty doc directory

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Jun 2025 09:04:22 -0300

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
                dh-sequence-octave,
                libhdf5-openmpi-dev,
                octave-msh
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/bim/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/bim/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-bim.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-bim
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-bim
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/bim/
Matching-Pattern: https://github.com/carlodefalco/bim/archive/refs/tags/v(.+).tar.gz
